@echo OFF
rem  * *******************************************************************
rem  *               VRECEXE1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read a mainframe formatted file, write Micro Focus file.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will execute a mainline COBOL program that calls a routine
rem  * that will read a mainframe formatted file with variable length
rem  * records. The callable routine will use the byte-stream I/O
rem  * capability provided by Micro Focus.
rem  *
rem  * The mainline COBOL program uses stanard COBOL file processing
rem  * to write to a file that is a standard Micro Focus sequential file
rem  * with variable length records.
rem  *
rem  * This set of programs will run on a system using Microsoft Windows
rem  * and Micro Focus Net Express.
rem  *
rem  * Documentation is available at the following URL:
rem  * http://www.simotime.com/vrecex01.htm
rem  *
     setlocal
     call ..\Env1Base
     call SimoNOTE "*******************************************************VrecExE1"
     call SimoNOTE "Starting JobName VrecExE1, User is %USERNAME%"
rem  *
rem  * *******************************************************************
rem  * Step 1, Set File Mapping using environment variables
rem  *
:MapFileNames
     call SimoNOTE "Identify JobStep MapFileNames"
     set BSIODSN1=%BaseLib1%\DATA\Ftp1\FTPDDV01.dat
     set SQEDDV01=%BaseLib1%\DATA\Wrk1\SQEDDV01.dat
     set SYSOUT=%BaseLib1%\LOGS\SYSOUT_VRECEXW1.txt
rem  *
rem  * *******************************************************************
rem  * Step 2, Delete any previously created Micro Focus formatted file
rem  *
     if exist %SQEDDV01% del %SQEDDV01%
rem  *
rem  * *******************************************************************
rem  * Step 3, Read mainframe formatted sequential file using byte-stream,
rem  *         I/O. Create a new Micro Focus formatted sequential file.
rem  *         Note: the BSIOFMT1 environment variable must be set to
rem  *         V for Variable, VB for Variable Blocked or VBS for Variable
rem  *         Blocked Spanned.
rem  *
:ExecuteVariableBsio
     set JobStatus=0000
     set INITREC1=E
     set BSIOFMT1=V
     call SimoNOTE "Identify JobStep ExecuteVariableBsio"
     call SimoNOTE "DataTake %BSIODSN1%"
     call SimoNOTE "DataMake %SQEDDV01%"
     call SimoNOTE "SYSOUT.. %SYSOUT%"
     run VRECEXC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
     if not exist %SQEDDV01% set JobStatus=0020
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     if not "%1" == "nopause" pause
